---
title: "Minnesota Executive Administrative Assistant Overtime & Paycheck Calculator (2026 Legal Audit)"
source_url: "https://statepayrules.com/calculator/minnesota/executive-assistant/"
canonical_url: "https://statepayrules.com/calculator/minnesota/executive-assistant/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Audit Minnesota Executive Administrative Assistant hourly pay, 1.5x overtime rates, shift benchmarks ($32.40/hr median), and meal break penalty pay under Minn. Stat. § 177.24."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/calculator/minnesota/executive-assistant/](https://statepayrules.com/calculator/minnesota/executive-assistant/)
>
> *Audit Minnesota Executive Administrative Assistant hourly pay, 1.5x overtime rates, shift benchmarks ($32.40/hr median), and meal break penalty pay under Minn. Stat. § 177.24.*

### Managing payroll or shift workers in Minnesota?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## Minnesota Executive Administrative Assistant Paycheck Calculator

If your employer failed to pay this overtime or required off-the-clock work, you may be entitled to **100% liquidated damages (Double Pay)**.

In **Minnesota**, a **Executive Administrative Assistant** is entitled to a minimum statutory base wage of **$11.13/hr** (State industry median: **$32.40/hr**). Overtime is calculated at **1.5x regular rate** after 40 hours per week under **Minn. Stat. § 177.24**.

### Visual Pay Composition Breakdown

## FLSA Exemption & Overtime Rules for Executive Administrative Assistants in Minnesota

Exempt if Discretionary Authority Met / Non-Exempt if Routine Clerical Tasks

May be exempt under Administrative Exemption (29 CFR § 541.200) only if primary duty involves exercise of discretion and independent judgment on matters of significance.

### Minnesota Statutory Wage & Overtime Authority

Statutory Legal Citation: `Minn. Stat. § 177.24`

Minnesota minimum wage ($10.85/hr large employer, $8.85 small employer). Tip credits are strictly prohibited statewide. Earned Sick and Safe Time (ESST) applies.

#### Employee Statutory Rights (MN)

- ✓ Prohibition of tip credits; full minimum wage must be paid directly.
- ✓ Earned Sick and Safe Time (ESST) accrual (1h per 30h worked).
- ✓ 1.5x regular pay for hours over 48/wk under state law or 40/wk under FLSA.

#### Employer Mandatory Obligations (MN)

- § Pay full statutory minimum wage regardless of tips.
- § Provide ESST notice and track leave on paystubs.
- § Provide wage notice at start of employment.

#### Minnesota Statutory Wage & Overtime FAQs

Under statutory citation **Minn. Stat. § 177.24**, the 2026 minimum wage in Minnesota is **$11.13 per hour**. Employers paying below this baseline face Department of Labor back-pay audits and statutory interest penalties.

Minnesota follows the standard federal FLSA rule (Title 29 U.S.C. § 207). Overtime is calculated weekly for hours exceeding 40 hours in a 7-day workweek with no daily cap.

Minnesota strictly prohibits tip credits. Employers must pay tipped staff the full statutory minimum wage of $11.13/hr in direct cash pay before tips.

#### Common Minnesota Payroll Compliance Traps & Audit Penalties

Attempting tip credit deductions against Minnesota minimum wage.

Failing to comply with Minneapolis or St. Paul local wage ordinances.

ESST tracking omissions.

### Executive Administrative Assistant Wage Benchmark

The median hourly wage for a Executive Administrative Assistant in Minnesota is **$32.40/hr** under current BLS and state labor statistics.

## Audit Minnesota Executive Administrative Assistant Overtime & Pay

Verify 2026 statutory minimum wage floors, 1.5x overtime thresholds, and meal break penalties for Executive Administrative Assistants in Minnesota.

### Statutory Compliance Internal Mesh

#### Minnesota Statutory Guides

- [Minnesota Payday Laws →](https://statepayrules.com/payday-laws/minnesota)
- [Minnesota Meal & Rest Breaks →](https://statepayrules.com/break-laws/minnesota)
- [Minnesota Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/minnesota)
- [Minnesota Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/minnesota)

#### Compare Minnesota Pay Rules

- [Minnesota vs Wisconsin →](https://statepayrules.com/calculator/compare/minnesota-vs-wisconsin)
- [Minnesota vs Iowa →](https://statepayrules.com/calculator/compare/minnesota-vs-iowa)
- [Minnesota vs North Dakota →](https://statepayrules.com/calculator/compare/minnesota-vs-north-dakota)

#### Minnesota Profession Tools

- [Minnesota Registered Nurse →](https://statepayrules.com/calculator/minnesota/registered-nurse)
- [Minnesota Fast Food & Counter Worker →](https://statepayrules.com/calculator/minnesota/fast-food-worker)
- [Minnesota Construction Laborer →](https://statepayrules.com/calculator/minnesota/construction-laborer)
- [Minnesota Electrician →](https://statepayrules.com/calculator/minnesota/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in Minnesota for 2026?** The 2026 statutory minimum wage in Minnesota is $11.13 per hour under Minn. Stat. § 177.24.
- **Does Minnesota require daily overtime pay?** Minnesota does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in Minnesota allowed to take a tip credit?** No, Minnesota prohibits tip credits. Employers must pay tipped employees the full statutory minimum wage of $11.13/hr in direct cash pay before tips.
- **Do Executive Administrative Assistants get overtime pay in Minnesota?** In Minnesota, Executive Administrative Assistants are generally non-exempt under statutory pay rules and FLSA guidelines, entitling them to 1.5x overtime pay for hours worked beyond 40 hours per week.
- **What is the median hourly wage for a Executive Administrative Assistant in Minnesota?** The median hourly wage for a Executive Administrative Assistant in Minnesota is $32.40/hr ($1,296/wk for a 40-hour workweek).
- **What meal and rest break rules apply to Executive Administrative Assistants in Minnesota?** Under Minn. Stat. § 177.24, Executive Administrative Assistants working qualifying shifts are entitled to mandatory meal and rest periods. Employers failing to provide off-duty breaks must pay penalty pay.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/calculator/minnesota/executive-assistant/](https://statepayrules.com/calculator/minnesota/executive-assistant/).
